# Compile /etc/file/magic.mgc:
chroot . /usr/bin/file --compile 1> /dev/null 2> /dev/null
if [ -r magic.mgc ]; then
  mv magic.mgc etc/file
fi
( cd etc ; rm -rf misc )
( cd etc ; ln -sf file misc )
( cd usr/lib ; rm -rf libmagic.so.1 )
( cd usr/lib ; ln -sf libmagic.so.1.0.0 libmagic.so.1 )
( cd usr/lib ; rm -rf libmagic.so )
( cd usr/lib ; ln -sf libmagic.so.1.0.0 libmagic.so )
